llvm.org GIT mirror llvm / df3be82
Update for including additional function tests. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@25542 91177308-0d34-0410-b5e6-96231b3b80d8 Reid Spencer 14 years ago
2 changed file(s) with 16 addition(s) and 169 deletion(s). Raw diff Collapse all Expand all
2704427044
2704527045 done
2704627046
27047
27048
27049 for ac_header in rw/stdex/hash_map.h rw/stdex/hash_set.h
27047 if test "$ENABLE_THREADS" -eq 1 ; then
27048
27049 for ac_header in pthread.h
2705027050 do
2705127051 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
2705227052 if eval "test \"\${$as_ac_Header+set}\" = set"; then
2719527195
2719627196 done
2719727197
27198 if test "$ENABLE_THREADS" -eq 1 ; then
27199
27200 for ac_header in pthread.h
27201 do
27202 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
27203 if eval "test \"\${$as_ac_Header+set}\" = set"; then
27204 echo "$as_me:$LINENO: checking for $ac_header" >&5
27205 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
27206 if eval "test \"\${$as_ac_Header+set}\" = set"; then
27207 echo $ECHO_N "(cached) $ECHO_C" >&6
27208 fi
27209 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
27210 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
27211 else
27212 # Is the header compilable?
27213 echo "$as_me:$LINENO: checking $ac_header usability" >&5
27214 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
27215 cat >conftest.$ac_ext <<_ACEOF
27216 /* confdefs.h. */
27217 _ACEOF
27218 cat confdefs.h >>conftest.$ac_ext
27219 cat >>conftest.$ac_ext <<_ACEOF
27220 /* end confdefs.h. */
27221 $ac_includes_default
27222 #include <$ac_header>
27223 _ACEOF
27224 rm -f conftest.$ac_objext
27225 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
27226 (eval $ac_compile) 2>conftest.er1
27227 ac_status=$?
27228 grep -v '^ *+' conftest.er1 >conftest.err
27229 rm -f conftest.er1
27230 cat conftest.err >&5
27231 echo "$as_me:$LINENO: \$? = $ac_status" >&5
27232 (exit $ac_status); } &&
27233 { ac_try='test -z "$ac_c_werror_flag"
27234 || test ! -s conftest.err'
27235 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
27236 (eval $ac_try) 2>&5
27237 ac_status=$?
27238 echo "$as_me:$LINENO: \$? = $ac_status" >&5
27239 (exit $ac_status); }; } &&
27240 { ac_try='test -s conftest.$ac_objext'
27241 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
27242 (eval $ac_try) 2>&5
27243 ac_status=$?
27244 echo "$as_me:$LINENO: \$? = $ac_status" >&5
27245 (exit $ac_status); }; }; then
27246 ac_header_compiler=yes
27247 else
27248 echo "$as_me: failed program was:" >&5
27249 sed 's/^/| /' conftest.$ac_ext >&5
27250
27251 ac_header_compiler=no
27252 fi
27253 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
27254 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
27255 echo "${ECHO_T}$ac_header_compiler" >&6
27256
27257 # Is the header present?
27258 echo "$as_me:$LINENO: checking $ac_header presence" >&5
27259 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
27260 cat >conftest.$ac_ext <<_ACEOF
27261 /* confdefs.h. */
27262 _ACEOF
27263 cat confdefs.h >>conftest.$ac_ext
27264 cat >>conftest.$ac_ext <<_ACEOF
27265 /* end confdefs.h. */
27266 #include <$ac_header>
27267 _ACEOF
27268 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
27269 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
27270 ac_status=$?
27271 grep -v '^ *+' conftest.er1 >conftest.err
27272 rm -f conftest.er1
27273 cat conftest.err >&5
27274 echo "$as_me:$LINENO: \$? = $ac_status" >&5
27275 (exit $ac_status); } >/dev/null; then
27276 if test -s conftest.err; then
27277 ac_cpp_err=$ac_c_preproc_warn_flag
27278 ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
27279 else
27280 ac_cpp_err=
27281 fi
27282 else
27283 ac_cpp_err=yes
27284 fi
27285 if test -z "$ac_cpp_err"; then
27286 ac_header_preproc=yes
27287 else
27288 echo "$as_me: failed program was:" >&5
27289 sed 's/^/| /' conftest.$ac_ext >&5
27290
27291 ac_header_preproc=no
27292 fi
27293 rm -f conftest.err conftest.$ac_ext
27294 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
27295 echo "${ECHO_T}$ac_header_preproc" >&6
27296
27297 # So? What about this header?
27298 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
27299 yes:no: )
27300 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
27301 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
27302 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
27303 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
27304 ac_header_preproc=yes
27305 ;;
27306 no:yes:* )
27307 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
27308 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
27309 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
27310 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
27311 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
27312 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
27313 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
27314 echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
27315 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
27316 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
27317 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
27318 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
27319 (
27320 cat <<\_ASBOX
27321 ## ----------------------------------- ##
27322 ## Report this to llvmbugs@cs.uiuc.edu ##
27323 ## ----------------------------------- ##
27324 _ASBOX
27325 ) |
27326 sed "s/^/$as_me: WARNING: /" >&2
27327 ;;
27328 esac
27329 echo "$as_me:$LINENO: checking for $ac_header" >&5
27330 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
27331 if eval "test \"\${$as_ac_Header+set}\" = set"; then
27332 echo $ECHO_N "(cached) $ECHO_C" >&6
27333 else
27334 eval "$as_ac_Header=\$ac_header_preproc"
27335 fi
27336 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
27337 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
27338
27339 fi
27340 if test `eval echo '${'$as_ac_Header'}'` = yes; then
27341 cat >>confdefs.h <<_ACEOF
27342 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
27343 _ACEOF
27344
27345 fi
27346
27347 done
27348
2734927198 fi
2735027199
2735127200
2782627675
2782727676
2782827677
27829
27830 for ac_func in backtrace ceil ceilf floor floorf getcwd getpagesize getrusage
27678 for ac_func in backtrace ceilf floorf roundf rintf nearbyintf getcwd
2783127679 do
2783227680 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
2783327681 echo "$as_me:$LINENO: checking for $ac_func" >&5
2793327781
2793427782
2793527783
27936 for ac_func in gettimeofday isatty mkdtemp mkstemp mktemp
27784
27785 for ac_func in getpagesize getrusage gettimeofday isatty mkdtemp mkstemp
2793727786 do
2793827787 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
2793927788 echo "$as_me:$LINENO: checking for $ac_func" >&5
2804027889
2804127890
2804227891
28043 for ac_func in realpath sbrk setrlimit strdup strerror strerror_r
27892
27893 for ac_func in mktemp realpath sbrk setrlimit strdup strerror strerror_r
2804427894 do
2804527895 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
2804627896 echo "$as_me:$LINENO: checking for $ac_func" >&5
5050 /* Does not have bi-directional iterator */
5151 #undef HAVE_BI_ITERATOR
5252
53 /* Define to 1 if you have the `ceil' function. */
54 #undef HAVE_CEIL
55
5653 /* Define to 1 if you have the `ceilf' function. */
5754 #undef HAVE_CEILF
5855
10299 /* Set to 1 if the finite function is found in */
103100 #undef HAVE_FINITE_IN_IEEEFP_H
104101
105 /* Define to 1 if you have the `floor' function. */
106 #undef HAVE_FLOOR
107
108102 /* Define to 1 if you have the `floorf' function. */
109103 #undef HAVE_FLOORF
110104
239233 /* Define to 1 if you have the header file, and it defines `DIR'. */
240234 #undef HAVE_NDIR_H
241235
236 /* Define to 1 if you have the `nearbyintf' function. */
237 #undef HAVE_NEARBYINTF
238
242239 /* Define to 1 if you have the `opendir' function. */
243240 #undef HAVE_OPENDIR
244241
266263 /* Define to 1 if you have the `rindex' function. */
267264 #undef HAVE_RINDEX
268265
269 /* Define to 1 if you have the header file. */
270 #undef HAVE_RW_STDEX_HASH_MAP_H
271
272 /* Define to 1 if you have the header file. */
273 #undef HAVE_RW_STDEX_HASH_SET_H
266 /* Define to 1 if you have the `rintf' function. */
267 #undef HAVE_RINTF
268
269 /* Define to 1 if you have the `roundf' function. */
270 #undef HAVE_ROUNDF
274271
275272 /* Define to 1 if you have the `sbrk' function. */
276273 #undef HAVE_SBRK